<?php
/*
Plugin Name: Edit Widget
Plugin URI: http://www.jaytesh.com/edit-widget
Description: This Plugin gives Link in Front-end for Administrator to go to Edit (edit widget link) options of widget in Back-end when Admin is logged in. This will redirect Administrator to Edit Widget Settings. Good for Admin usage and Developers.
Author: Jaytesh Barange
Version: 1.0
Author URI: http://www.jaytesh.com
License: GPL2
 
Edit Widget is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
Edit Widget is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with Edit Widget. If not, see http://www.gnu.org/licenses/gpl-2.0.html 
*/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

add_filter('dynamic_sidebar_params','gowt_add_edit_widget_link');

function gowt_add_edit_widget_link($params) {
global $gowt_widget_num;

	$gowt_widget_num[$params[0]['id']]++;

//	print_r($params);

if(current_user_can('edit_theme_options')&&!is_admin())
{
	$params[0]['before_widget'] .="<a href='".get_bloginfo('wpurl')."/wp-admin/widgets.php?editwidget=".$params[0]['widget_id']."&sidebar=".$params[0]['id']."&key=".($gowt_widget_num[$params[0]['id']]-1)."' target='_blank' >
<img src='".plugins_url("/editicon.png", __FILE__)."' style='float:left;' /> ".__('EDIT')."
</a>";
}
	return $params;
}


// Jaytesh Barange Loves to Code

